#
# spec file for package perl-DateTime-HiRes
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name DateTime-HiRes
Name:           perl-DateTime-HiRes
Version:        0.04
Release:        1.6
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Create DateTime objects with sub-second current time resolution
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/D/DR/DROLSKY/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(DateTime)
BuildRequires:  perl(Test::More) >= 0.96
Requires:       perl(DateTime)
%{perl_requires}

%description
This module enables you to generate DateTime objects that represent the
current time with sub-second resolution.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes CODE_OF_CONDUCT.md CONTRIBUTING.md README.md Todo
%license LICENSE

%changelog
* Tue Jan  3 2023 Tina Müller <tina.mueller@suse.com>
- Initial submission
